<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Fundo.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../util/definiciones.php';
require_once __DIR__ . '/../util/sendgrid-php/vendor/autoload.php';

date_default_timezone_set("America/Lima");
// Funciones::imprimeJSON(200,"error",$_POST);
// exit;
if (!isset($_POST["p_detalle"])
    || !isset($_POST["p_codigo"])
    || !isset($_POST["p_empresa"])
    ) {
    Funciones::imprimeJSON(200, "error", "Por favor actualiza a la última versión de la aplicación para sincronizar datos.");
    exit;
}

// Funciones::imprimeJSON(200,"error",$_POST);
// exit;

try {
    $detalle = json_decode($_POST["p_detalle"], true);
    $codigo_fundo_max = $_POST["p_codigo"];
    $empresa = $_POST["p_empresa"];
    $objEntradaFUNDO = new Fundo();
    $envio_correo = 404;
    if(isset($_POST["p_lista_completa"])){
        $lista_completa = "S";
    }else{
        $lista_completa = "N";
    }

    $detalleVisita = [];
    if(isset($_POST["p_detalle_visita"])){
        $detalleVisita = json_decode($_POST["p_detalle_visita"], true);
    }

    $detalleManoObra = [];
    if(isset($_POST["p_detalle_mano_obra"])){
        $detalleManoObra = json_decode($_POST["p_detalle_mano_obra"], true);
    }

    $resultado = $objEntradaFUNDO->sincronizarSoloFundo($detalle, $empresa, $detalleVisita, $detalleManoObra);
    Funciones::imprimeJSON(200, "Genial", $resultado);
} catch (Exception $ex) {
    Funciones::imprimeJSON(200, "error", $ex->getMessage());
}
