<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Sesion.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(    !isset($_POST["p_usuario"]) 
    || !isset($_POST["p_clave"]) 
    || !isset($_POST["p_caseta"])){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $usuario = $_POST["p_usuario"];
    $clave = $_POST["p_clave"];
    $caseta = $_POST["p_caseta"];

    $objSesion = new Sesion();
    $resultado = $objSesion->iniciarSesionMovil($usuario, $clave, $caseta, "G");
    if($resultado){
        Funciones::imprimeJSON(200, "Iniciar sesión", $resultado);
    }
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}