<?php
require __DIR__.'/../datos/Conexion.clase.php';

class Empresa extends Conexion {

    /* CORRER ESTE SCRIPT PARA QUE FUNCIONE EL PIN */
    /*						
        create table personal_control_users(
            dni_personal char(8), 
            pin_user char(8), 
            constraint pk_personal_control_users primary key (dni_personal, pin_user), 
            constraint fk_personal_control_users foreign key (dni_personal) references personal_control (dni_personal)
        );

        insert into personal_control_users values ('00000016', '48248144')
    */
    /* CORRER ESTE SCRIPT PARA QUE FUNCIONE EL PIN */
    
    public function listarEmpresas(){
        try {
            $sql = "SELECT 
                        codigo_empresa, 
                        nombre_empresa, 
                        coalesce(ruc_empresa, '') as ruc, 
                        coalesce(latitud,0.0) as lat, 
                        coalesce(longitud,0.0) as long 
                    FROM 
                        empresa_control 
                    WHERE 
                        estado_empresa = 'A'
                    ORDER BY 
                        2 asc";
            $sentencia = $this->dblink->prepare($sql);
            $sentencia->execute();
            $resultado = $sentencia->fetchAll(PDO::FETCH_ASSOC);

            if (!$sentencia->rowCount()) {
                throw new Exception("No hay empresas disponibles.");
            }
            return $resultado;
        } catch (Exception $e) {
            throw $e;
        }
    }

    public function listarEmpresasSpinner(){
        try {
            $sql = "SELECT 
                        codigo_empresa, 
                        abreviatura as abrev 
                    FROM 
                        empresa_control 
                    ORDER BY 
                        2 asc";
            $sentencia = $this->dblink->prepare($sql);
            $sentencia->execute();
            $resultado = $sentencia->fetchAll(PDO::FETCH_ASSOC);

            if (!$sentencia->rowCount()) {
                throw new Exception("No hay empresas disponibles.");
            }
            return $resultado;
        } catch (Exception $e) {
            throw $e;
        }
    }
}